# Uses of Interface
org.eclipse.zest.layouts.LayoutAlgorithm

Packages that use LayoutAlgorithm
Package
Description
org.eclipse.zest.core.viewers
org.eclipse.zest.core.widgets
org.eclipse.zest.layouts
org.eclipse.zest.layouts.algorithms
org.eclipse.zest.layouts.interfaces

## Uses of LayoutAlgorithm in org.eclipse.zest.core.viewers

Methods in org.eclipse.zest.core.viewers that return LayoutAlgorithm
Modifier and Type
Method
Description
`protected abstract LayoutAlgorithm`
AbstractStructuredGraphViewer.`getLayoutAlgorithm()`
Gets the current layout algorithm.
`protected LayoutAlgorithm`
GraphViewer.`getLayoutAlgorithm()`
Methods in org.eclipse.zest.core.viewers with parameters of type LayoutAlgorithm
Modifier and Type
Method
Description
`void`
AbstractStructuredGraphViewer.`setLayoutAlgorithm(LayoutAlgorithm algorithm)`
Equivalent to setLayoutAlgorithm(algorithm, false).
`abstract void`
AbstractStructuredGraphViewer.`setLayoutAlgorithm(LayoutAlgorithm algorithm, boolean run)`
Sets the layout algorithm for this viewer.
`void`
GraphViewer.`setLayoutAlgorithm(LayoutAlgorithm algorithm)`
`void`
GraphViewer.`setLayoutAlgorithm(LayoutAlgorithm algorithm, boolean runLayout)`
Sets the layout algorithm to use for this viewer.

## Uses of LayoutAlgorithm in org.eclipse.zest.core.widgets

Methods in org.eclipse.zest.core.widgets that return LayoutAlgorithm
Modifier and Type
Method
Description
`LayoutAlgorithm`
Graph.`getLayoutAlgorithm()`
`LayoutAlgorithm`
GraphContainer.`getLayoutAlgorithm()`
Methods in org.eclipse.zest.core.widgets with parameters of type LayoutAlgorithm
Modifier and Type
Method
Description
`void`
Graph.`setLayoutAlgorithm(LayoutAlgorithm algorithm, boolean applyLayout)`
`void`
GraphContainer.`setLayoutAlgorithm(LayoutAlgorithm algorithm, boolean applyLayout)`
`void`
IContainer.`setLayoutAlgorithm(LayoutAlgorithm algorithm, boolean applyLayout)`
Sets the LayoutAlgorithm for this container and optionally applies it.

## Uses of LayoutAlgorithm in org.eclipse.zest.layouts

Subinterfaces of LayoutAlgorithm in org.eclipse.zest.layouts
Modifier and Type
Interface
Description
`static interface`
`LayoutAlgorithm.Zest1`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `LayoutAlgorithm` instead.

## Uses of LayoutAlgorithm in org.eclipse.zest.layouts.algorithms

Classes in org.eclipse.zest.layouts.algorithms that implement LayoutAlgorithm
Modifier and Type
Class
Description
`class`
`AbstractLayoutAlgorithm`
Handles common elements in all layout algorithms [irbull] Refactored into a template pattern.
`static class`
`AbstractLayoutAlgorithm.Zest1`
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x.
`class`
`BoxLayoutAlgorithm`
Layout algorithm that places all elements in one column or one row, depending on set orientation.
`class`
`CompositeLayoutAlgorithm`
`static class`
`CompositeLayoutAlgorithm.Zest1`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `CompositeLayoutAlgorithm` instead.
`class`
`ContinuousLayoutAlgorithm`
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x.
`class`
`DirectedGraphLayoutAlgorithm`
`static class`
`DirectedGraphLayoutAlgorithm.Zest1`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `DirectedGraphLayoutAlgorithm` instead.
`class`
`GridLayoutAlgorithm`
`static class`
`GridLayoutAlgorithm.Zest1`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `GridLayoutAlgorithm` instead.
`class`
`HorizontalLayoutAlgorithm`
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x.
`class`
`HorizontalShift`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `HorizontalShiftAlgorithm` instead.
`class`
`HorizontalShiftAlgorithm`
This layout shifts overlapping nodes to the right.
`class`
`HorizontalTreeLayoutAlgorithm`
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x.
`class`
`RadialLayoutAlgorithm`
This layout will take the given entities, apply a tree layout to them, and then display the tree in a circular fashion with the roots in the center.
`static class`
`RadialLayoutAlgorithm.Zest1`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `RadialLayoutAlgorithm` instead.
`class`
`SpaceTreeLayoutAlgorithm`
Layout algorithm implementing SpaceTree.
`class`
`SpringLayoutAlgorithm`
The SpringLayoutAlgorithm has its own data repository and relation repository.
`static class`
`SpringLayoutAlgorithm.Zest1`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `SpringLayoutAlgorithm` instead.
`class`
`SugiyamaLayoutAlgorithm`
The SugiyamaLayoutAlgorithm class implements an algorithm to arrange a directed graph in a layered tree-like layout.
`class`
`TreeLayoutAlgorithm`
The TreeLayoutAlgorithm class implements a simple algorithm to arrange graph nodes in a layered tree-like layout.
`static class`
`TreeLayoutAlgorithm.Zest1`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `TreeLayoutAlgorithm` instead.
`class`
`VerticalLayoutAlgorithm`
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x.
Constructors in org.eclipse.zest.layouts.algorithms with parameters of type LayoutAlgorithm
Modifier
Constructor
Description
``
`CompositeLayoutAlgorithm(int style, LayoutAlgorithm[] layoutAlgorithms)`
Deprecated.
Since Zest 2.0, use `CompositeLayoutAlgorithm(LayoutAlgorithm[])`
``
`CompositeLayoutAlgorithm(LayoutAlgorithm[] algorithms)`

## Uses of LayoutAlgorithm in org.eclipse.zest.layouts.interfaces

Methods in org.eclipse.zest.layouts.interfaces that return LayoutAlgorithm
Modifier and Type
Method
Description
`LayoutAlgorithm`
LayoutContext.`getMainLayoutAlgorithm()`
Methods in org.eclipse.zest.layouts.interfaces with parameters of type LayoutAlgorithm
Modifier and Type
Method
Description
`void`
LayoutContext.`setMainLayoutAlgorithm(LayoutAlgorithm algorithm)`
Sets the main layout algorithm for this context.